> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup BVN

> This endpoint allows you to Lookup BVN and get detailed information on the BVN Identity

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### Query parameter

<ParamField query="bvn" type="string" required>
  A valid Bank Verification Number (BVN)
</ParamField>

#### RESPONSES

<ResponseField name="200" type="json">
  json
</ResponseField>

<ResponseField name="400" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="401" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "entity": {
       "bvn": "2*****48240",
       "first_name": "JOHN",
       "last_name": "MUSA",
       "middle_name": "DOE",
       "gender": "Male",
       "date_of_birth": "1972-02-19",
       "phone_number1": "08099434292",
       "image": "/9j/3AAQSkZJGgABAgBBBQABAAD/“,
       "level_of_account": "Level 2 - Medium Level Accounts",
       "lga_of_origin": "Odo Otin",
       "lga_of_residence": "Ilorin South",
       "marital_status": "Single",
       "name_on_card": "DOE, JOHN M",
       "nationality": "Nigeria",
       "nin": "",
       "phone_number1": "08099434292",
       "phone_number2": "",
       "reference": "91b126d1-2467-42fc-b8d5-1cbd32257954",
       "registration_date": "21-Mar-2018",
       "residential_address": "24, ADELABU OWODE, ILORIN",
       "state_of_origin": "Osun State",
       "state_of_residence": "Kwara State",
       "title": "Mr",
       "watch_listed": "NO"
      }
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```
</ResponseExample>
